import type React from 'react';
import type { TypographyProps } from '../Typography';
export declare type StyledListProps = React.HTMLAttributes<HTMLUListElement | HTMLOListElement> & {
    listStyleType?: string;
};
export declare const StyledH1: import("styled-components").StyledComponent<"h1", any, {}, never>;
export declare const StyledH2: import("styled-components").StyledComponent<"h2", any, {}, never>;
export declare const StyledH3: import("styled-components").StyledComponent<"h3", any, {}, never>;
/** Small icons align with font and line height */
export declare function getSmallIconBodyTextRules(): import("styled-components").FlattenSimpleInterpolation;
export declare const StyledP: import("styled-components").StyledComponent<"p", any, {}, never>;
export declare const StyledUL: import("styled-components").StyledComponent<"ul", any, React.HTMLAttributes<HTMLOListElement | HTMLUListElement> & {
    listStyleType?: string | undefined;
}, never>;
export declare const StyledOL: import("styled-components").StyledComponent<"ul", any, React.HTMLAttributes<HTMLOListElement | HTMLUListElement> & {
    listStyleType?: string | undefined;
} & {
    as: string;
}, "as">;
export declare const StyledLabel: import("styled-components").StyledComponent<"span", any, import("../Typography/Typography.styles").StyledTypographyProps & Partial<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, "ref"> & {
    ref?: ((instance: HTMLSpanElement | null) => void) | React.RefObject<HTMLSpanElement> | null | undefined;
} & TypographyProps> & {
    [others: string]: any;
}, string | number>;
/**
 * An unstyled `button`, browser reset
 */
export declare function getUnstyledButton(): import("styled-components").FlattenSimpleInterpolation;
/**
 * An unstyled `button`, browser reset
 */
export declare const StyledUnstyledButton: import("styled-components").StyledComponent<"button", any, {}, never>;
/**
 * An a styled component a
 */
export declare const StyledAnchor: import("styled-components").StyledComponent<"a", any, {}, never>;
